NAME
Tk_SetColorModel, Tk_GetColorModel - access color model for screen

SYNOPSIS
#include <tk.h>

Tk_SetColorModel(tkwin, model)

Tk_ColorModel
Tk_GetColorModel(tkwin)

ARGUMENTS
Token for window. New model to use for window's screen.

DESCRIPTION

These procedures allow the color model for a screen to be read and written. See the documentation for the tk colormodel command for details on the color model and how it is used. Tk_SetColorModel sets the color model for the screen associated with tkwin to model. Model must be either TK_COLOR or TK_MONO. In contrast to the tk colormodel command, there are no restrictions on the value passed to Tk_SetColorModel (you can set the model to TK_COLOR even if the screen only has one bit plane). Tk_GetColorModel returns the current color model for the screen associated with tkwin.

KEYWORDS
color model, screen